 /* --------------------------------------------------------------------- */
 /* -------------------------- header / global -------------------------- */
 /* --------------------------------------------------------------------- */

 .app-font-global {
    font-family: 'Roboto', sans-serif;    
    background-color: var(--background-color);
}

.app-image {
    border: 7px solid;
    border-color: var(--medium-yellow-color);
    width:101px;
    float: right;
    margin-top: 15px;
    box-shadow: 3px 3px var(--dark-yellow-color);
    transition: transform .7s ease-in-out;
}
.app-image:hover {
    transform: rotate(360deg);
    transition: transform .7s ease-in-out;
    cursor: pointer;
}

.app-square1 {
    background-color: var(--light-yellow-color);
    width: 20px;
    height: 20px;
    float: right;
    box-shadow: 3px 3px var(--dark-yellow-color);
    transition: transform .7s ease-in-out;
}
.app-square1:hover {
    transform: rotate(360deg);
    transition: transform .7s ease-in-out;
    cursor: pointer;
}

.app-square2 {
    background-color: var(--medium-yellow-color);
    width: 50px;
    height: 50px;
    float: right;
    margin-top: 6px;
    box-shadow: 3px 3px var(--dark-yellow-color);
    transition: transform .7s ease-in-out;
}
.app-square2:hover {
    transform: rotate(360deg);
    transition: transform .7s ease-in-out;
    cursor: pointer;
}

.app-square3 {
    background-color: var(--medium-yellow-color);
    width: 50px;
    height: 50px;
    float: right;
    margin-top: 125px;
    box-shadow: 3px 3px var(--dark-yellow-color);
    transition: transform .7s ease-in-out;
}
.app-square3:hover {
    transform: rotate(360deg);
    transition: transform .7s ease-in-out;
    cursor: pointer;
}

.app-square4 {
    background-color: var(--light-yellow-color);
    width: 20px;
    height: 20px;
    float: right;
    margin-top: 162px;
    margin-right: 90px;
    box-shadow: 3px 3px var(--dark-yellow-color);
    transition: transform .7s ease-in-out;
}
.app-square4:hover {
    transform: rotate(360deg);
    transition: transform .7s ease-in-out;
    cursor: pointer;
}

.app-h1-title-size {
    font-size: 30px;
    padding-left: 50px;
}

.app-banner {
    background-color: var(--medium-grey-color);
    color :white;
    padding: 10px;
    height: 130px;
    text-align: center;
    box-shadow: 0px 2px 2px black;
    position: relative;
}

.app-menu-banner {
    background-color: var(--dark-grey-color);
    color :white;
    padding: 3px;
    height: 50px;
    box-shadow: 0px 3px 3px black;
}

.app-menu-buttons {
    background-color: var(--light-grey-color);
    color :black;
    padding: 8px;
    display: inline-block;
    margin-left: 10px;
    margin-top: 5px;
    font-weight: bold;
    box-shadow: 5px 5px black;
    text-decoration: none;
}

.app-menu-buttons:hover {
    background-color: var(--medium-yellow-color);
    box-shadow: 5px 5px var(--dark-yellow-color);
    transition: 0.25s background-color 0.25s box-shadow;
}

.app-menu-buttons:active{
    transform: translateY(4px) translateX(4px);
    box-shadow: 1px 1px var(--dark-yellow-color);
}

 /* --------------------------------------------------------------------- */
 /* -------------------------- infos perso ------------------------------ */
 /* --------------------------------------------------------------------- */

 .app-title-categories {
    text-align: center;
    font-size: 30px;
    font-weight: bold;
    color: white;
    width: auto;
    background-color: var(--dark-grey-color);
    margin: 20px 50px 20px 50px;
    padding: 10px;
    box-shadow: 5px 5px rgb(43, 43, 43);
}

.app-double-column {
    display: flex;
    justify-content: space-around;
    align-items: flex-start;
    height: 500px;

}

.app-video-container {
    width: 500px;
    height: 450px;
    background-color: var(--medium-yellow-color);
    margin-top: 15px;
    margin-bottom: 15px;
    border-radius: 15px;
    box-shadow: 5px 5px var(--dark-yellow-color);
    vertical-align: top;
}

.app-video-container__text {
    width: 480px;
    height: 50px;
    text-align: center;
    margin: 20px 10px 20px 10px;
    font-size: 2em;
    font-weight: bold;
    background-color: var(--dark-yellow-color);
    border-radius: 15px;
    box-shadow: 2px 2px 2px black;
    padding-top: 10px;
    color: white;
}

.app-video-container__video {
    width: 500px;
    text-align: center;
}

.app-video-container__video--screen {
    width: 480px;
    border-radius: 15px;
}

 .app-double-column-bottom {
     display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    width: 550px;
    height: 170px;
    background-color: #546e7a;
    margin-top: 15px;
    margin-bottom: 15px;
    border-radius: 15px;
    box-shadow: 5px 5px var(--dark-grey-color);
}

.app-double-column-top {
    display: inline-block;
    width: 550px;
    height: 250px;
    background-color: var(--medium-yellow-color);
    margin-top: 15px;
    margin-bottom: 15px;
    border-radius: 15px;
    box-shadow: 5px 5px var(--dark-yellow-color);
    vertical-align: top;
}

.app-perso {
    list-style-type: none;
    font-size: 20px;
    font-weight: bold;
    line-height: 1.8;
    text-decoration: none;
    list-style-type: none;
    color: black;
}

.app-double-column-img {
    width: 100px;
    height: 50px;
    padding: 10px 50px 10px 85px;
}
.fa-quote-left {
    float: left;
    padding: 5px 5px 4px 5.5px;
    color: var(--medium-yellow-color);
    text-align: center;
  }


.app-description {
    margin-block-start: 0em;
    font-style: italic;
    text-align: center;
    line-height: 1.4;
    padding-right: 20px;
    padding-left: 20px;
    color: var(--medium-yellow-color);
}

.app-icones-linkedin {
    background-color: #0e76a8;
    width: 30px;
    height: 30px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    float: left;
}
.fa-linkedin {
    float: left;
    padding: 4px 4px 4px 6.5px;
    color: white;
  }

  .app-icones-envelope {
    background-color: red;
    width: 30px;
    height: 30px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    float: left;
}
.fa-envelope {
    float: left;
    padding: 4px 5px 4px 5px;
    color: white;
  }

.app-icones-home {
    background-color: blue;
    width: 30px;
    height: 30px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    float: left;
}
  .fa-home {
    float: left;
    padding: 5px 5px 4px 5.5px;
    color: white;
  }

  .app-icones-card {
    background-color: #f15f90;
    width: 30px;
    height: 30px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    float: left;
} 
  .fa-id-card {
    float: left;
    padding: 5px 5px 4px 3.5px;
    color: white;
  }

  .app-icones-car {
    background-color: darkmagenta;
    width: 30px;
    height: 30px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    float: left;
}
  .fa-car {
    float: left;
    padding: 5px 5px 4px 3.5px;
    color: white;
  }

  .app-icones-phone {
    background-color: green;
    width: 30px;
    height: 30px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    float: left;
}
  .fa-phone {
    padding: 5.5px 5px 4px 7.5px;
    color: white;
  }

 /* --------------------------------------------------------------------- */
 /* -------------------------- body ------------------------------------- */
 /* --------------------------------------------------------------------- */

 .app-main-x2columns {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    margin-top: 10px;
    margin-bottom: 50px;
 }

 .app-main-column-left {
    float:left;
    width:75%;
}

.app-main-column-right {
    background-color: var(--dark-grey-color);
    box-shadow: 5px 5px black;
    color: white;
    border-radius: 15px;
    position: sticky;
    top: 0;
    margin-right: 50px;
    margin-top: 20px;
    /* cool pour faire small window !!
    height:150px;
    max-height:150%;
    overflow:auto;   */
}

.app-main-column-right__title__radius {
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}
.app-main-column-right__text__radius {
    border-bottom-left-radius: 15px;
    border-bottom-right-radius: 15px;
}

.app-main-column-right__title {
    font-size: 20px;
    font-weight: bold;
    background-color: var(--dark-grey-color);
    box-shadow: 0px 3px 3px  rgb(20, 20, 20);
    position: relative;
    display: block;
    width: auto;
    height: auto;
    padding: 10px 50px 10px 50px;
    margin: 0 0 0 0 ;

}
.app-main-column-right__text {
    list-style-type: none;
    background-color: var(--light-grey-color);
    color: black;
    font-size: 15px;
    line-height: 1.8;
    padding-top: 15px;
    padding-bottom: 15px;
    margin: 0 0 0 0 ;
}

 .app-text-categories {
    list-style-type: none;
    font-size: 15px;
    line-height: 1.8;
    padding-left: 40px;
    padding-right: 40px;
    text-align: justify;
    margin-bottom: 10px;
    margin-top: 10px;
 }

 .app-text-subcategories {
    padding-left: 0px;
     display: block;
     background-color:var(--light-grey-color);
     box-shadow: 0px 3px 3px  var(--medium-grey-color);
     color: black;
     line-height: 1.8;
     padding: 10px 40px 10px 40px;
     font-weight: bold;
    font-style: italic;
    font-size: 17px;
    margin-top: 0;
 }

 .app-subtitle-categories {
     display: inline-block;
    font-weight: bold;
    color: white;
    background-color: var(--dark-grey-color);
    box-shadow: 0px 3px 3px  rgb(20, 20, 20);
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
    width: 560px;
    height: 40px;
    padding-top: 15px;
    padding-left: 40px;
    margin-top: 0px;
    margin-bottom: 0px;
    font-size: 20px;
    }

 .app-subsubtitle-categories {
    color: white;
    background-color: var(--medium-grey-color);
    box-shadow: 0px 3px 3px  var(--dark-grey-color);
    font-weight: bold;
    text-align: center;
    padding-top: 16px;
    padding-bottom: 16px;
    margin: 0 0 0 0 ;
 }   

 .app-subsubtitle-categories2 {
    color: white;
    background-color: var(--medium-grey-color);
    box-shadow: 0px 3px 3px  var(--dark-grey-color);
    font-weight: bold;
    text-align: center;
    padding-top: 0px;
    padding-bottom: 16px;
    margin: 0 0 0 0 ;
    position: relative;
 } 

.app-body-flexbox {
    display: flex;
    width: 700px;
    height: auto;
    margin-bottom: 10px;
    flex-direction: column;
    flex-wrap: nowrap;
    justify-content: space-around;
    align-content: flex-start; 
    align-items: center;
}

.app-global-column {
    display: flex;
    justify-content: center;
}

.app-body-flexbox__item {
    width: 600px;
    height: auto;
    background-color: var(--medium-yellow-color);
    box-shadow: 5px 5px var(--dark-yellow-color);
    margin-top: 15px;
    margin-bottom: 15px;
    border-radius: 15px;
    flex: 0 1 auto;
    align-self: auto;
}

 /* --------------------------------------------------------------------- */
 /* -------------------------- bouton return top *----------------------- */
 /* --------------------------------------------------------------------- */

.fa-arrow-circle-up {
    margin-left: 40px;
    padding: 0px 4px 0px 4px;
    border-radius: 50%;
   color: white;
   background-color: var(--medium-grey-color);
   box-shadow: 0px 5px  var(--dark-grey-color);
 }
.fa-arrow-circle-up:hover {
    background-color: var(--medium-yellow-color);
    box-shadow: 0px 5px var(--dark-yellow-color);
    transition: 0.25s background-color 0.25s box-shadow;
}
.fa-arrow-circle-up:active{
    transform: translateY(4px);
    box-shadow: 0px 0px var(--dark-yellow-color);
}

html {
    scroll-behavior: smooth;
  }

 /* --------------------------------------------------------------------- */
 /* -------------------------- commentaires / contact ------------------- */
 /* --------------------------------------------------------------------- */

.fa-star {
    color: var(--medium-yellow-color);
 }
.fa-star>span {
    margin-left: 10px;
}

 .app-text-area {
    resize: none;
    border-radius: 15px;
    width: 430px;
    height: 200px;
    padding-left: 15px;
    padding-right: 15px;
    background-color: 5px 5px black;
}

.app-comment-x2columns {
display: flex;
flex-direction: row;
justify-content: space-around;
align-items:flex-start;
align-content: flex-start;
}

.app-comment-column-left {
    flex: 0 1 auto;
    align-self: auto;
}


.app-comment-column-right {
    flex: 0 1 auto;
    align-self: auto;
}

.app-commentaire-bloc {
    margin: 40px 50px 50px 50px;
    padding-top: 10px;
    background-color: var(--medium-grey-color);
    border-radius: 15px;
    box-shadow: 5px 5px var(--dark-grey-color);
    width: 500px;
    height: auto;
    padding-left: 40px;
    padding-bottom: 20px;
    color: white;
}

.app-text-bloc {
margin: 0px;
padding-top: 15px;
padding-bottom: 10px;
}

.app-input {
    padding-top: 7px;
    padding-bottom: 10px;
}

.app-submitted {
    margin-left: 20px;
}

 /* --------------------------------------------------------------------- */
 /* -------------------------- footer ----------------------------------- */
 /* --------------------------------------------------------------------- */

.app-footer-global-flex {
    background-color: #94b4c4;
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items:flex-end;
    align-content: flex-start;
}

.app-footer-left {
    flex: 0 1 auto;
    align-self: flex-start;
    font-weight: bold;
}

.app-footer-link {
    font-weight: normal;
    text-decoration: none;
    list-style-type: none;
    color: black;
    font-size: 15px;
}

.app-footer-middle {
    flex: 0 1 auto;
    align-self: auto;
    width: 400px;;
}

.app-footer-right {
    flex: 0 1 auto;
    align-self: auto;
    padding-bottom: 15px;
}

.app-perso-footer {
    list-style-type: none;
    font-size: 15px;
    line-height: 1.9;
}

.app-icones-footer {
    background-color: #0e76a8;
    width: 24px;
    height: 24px;
    border-radius: 8px;
    margin-right: 10px;
    margin-top: 2px;
    padding-right: 1px;
    float: left;
}


